<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button mode="md" text=""></ion-back-button>
    </ion-buttons>
    <!-- <ion-title>{{isEdit ? 'Edit Food':'Add Food' }}</ion-title> -->

    <ion-title *ngIf="isEdit">{{'Edit Coupon' | translate}}</ion-title>

    <ion-title *ngIf="!isEdit">{{'Add Coupon' | translate}}</ion-title>

    <!-- <ion-button *ngIf="isEdit == true" slot="end" class="delete_icn" icli fill="clear">
      Delete
    </ion-button> -->

  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <div class="mainContent">
    <ion-list lines="none">

      <ion-item>
        <ion-input [(ngModel)]="code" type="text" [placeholder]="('Code' | translate )"></ion-input>
      </ion-item>
      <ion-item>
        <ion-textarea [(ngModel)]="desc" rows="3" [placeholder]="('Description' | translate )">
        </ion-textarea>
      </ion-item>
      <ion-item>
        <ion-input [(ngModel)]="min" type="number" [placeholder]="('Min Price' | translate )"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input [(ngModel)]="upto" type="number" [placeholder]="('Coupon Amount' | translate )"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>{{'Discount Type' | translate}}</ion-label>
        <ion-select [(ngModel)]="type" interface="popover" mode="ios">
          <ion-select-option value="$">$</ion-select-option>
          <ion-select-option value="%">%</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-input [(ngModel)]="discout" type="number" [placeholder]="('Discount Price' | translate )"></ion-input>
      </ion-item>
      <ion-item>
        <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="date" type="text" [placeholder]="('Expiration Date' | translate )"></ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>{{'State' | translate}}</ion-label>
        <ion-select [(ngModel)]="status" interface="popover" mode="ios">
          <ion-select-option [value]="active">Activo</ion-select-option>
        </ion-select>
      </ion-item>
      <div class="coverPlaceholder" (click)="cover()" *ngIf="!coverImage || coverImage ==''">
        <ion-icon name="cloud-upload-outline" color="primary"></ion-icon>
        <p>{{'Coupon Image' | translate}}</p>
      </div>
      <div class="coverReal" (click)="cover()" [style.backgroundImage]="'url('+coverImage+')'"
        *ngIf="coverImage && coverImage !=''">
      </div>
      <ion-button (click)="submit()" expand="block">
        {{'Submit' | translate}}
      </ion-button>
    </ion-list>

  </div>
</ion-content>